package com.lovecoding.mvc.contorller;

import com.lovecoding.mvc.dao.BookDao;
import com.lovecoding.mvc.service.BookService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

/**
 * 必须使用 RustFul 风格的操作
 * 并且得又 JSP 页面
 */

@Controller
@RequestMapping("/book")
public class BookContorller {

    @Autowired
    BookService bookService;

    @PostMapping("/add")
    public String add(BookDao book){
        int add = bookService.add(book);
        return "/success.jsp";
    }

    @DeleteMapping("/{bookId}")
    public String del(Long bookId){
        bookService.del(bookId);
        return "/success.jsp";
    }

    @PutMapping("/{bookId}")
    public String update(Long bookId){
        bookService.update(bookId);
        return "/success.jsp";
    }

    @GetMapping(("/{bookId}"))
    public String get(Long bookId){
        bookService.get(bookId);
        return "/success.jsp";
    }


}
